Skip to main content
POST
/
incorporate
/
start-incorporation
/
{tokenAddress}
Start incorporation process
curl --request POST \
  --url https://public-api-v2.bags.fm/api/v1/incorporate/start-incorporation/{tokenAddress} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://public-api-v2.bags.fm/api/v1/incorporate/start-incorporation/{tokenAddress}"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://public-api-v2.bags.fm/api/v1/incorporate/start-incorporation/{tokenAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "response": {
    "tokenAddress": "<string>",
    "incorporationStarted": true
  }
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication. Provide your API key as the header value.

Path Parameters

tokenAddress
string
required

Token mint address to start incorporation for

Response

Successfully started incorporation process

success
boolean
required
Example:

true

response
object